GET /blockscout/transactions/{transaction_hash}/raw-trace

Path Parameters

transaction_hash string required path

Responses

200 Raw Trace
application/json
Array of:
action unknown REQUIRED
subtraces integer REQUIRED
traceAddress integer[] REQUIRED
Array of:
type string REQUIRED
error string
result unknown
400 Bad Input Parameter
curl -X GET 'https://data-api.b3.fun//blockscout/transactions/string/raw-trace'
const response = await fetch('https://data-api.b3.fun//blockscout/transactions/string/raw-trace', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
import requests

response = requests.get('https://data-api.b3.fun//blockscout/transactions/string/raw-trace')
print(response.json())
200 Response
[
  {
    "action": {
      "callType": "call",
      "to": "0x162e898bd0aacb578c8d5f8d6ca588c13d2a383f",
      "from": "0xf57b55b01b831e602e09674a4e5d69cbcf343f98",
      "input": "0x630cea8e000000000000000000000000000000000000000000000000000000000000004000000000000000000000000000000000000000000000000000000000000000c00000000000000000000000000000000000000000000000000000000000000041c25b36779231e71769118210c3eb64c0a9c7577b925b309af3183e13acc7cf30210493d13c8c6c3c0bd337d5e39e454fece0c301f0aedb6c43c7a37650ac83e71c00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000019500050000f0add9e5dc02faeca12e9669f045685449d6b80a000000000000744359447362798334d3485c64d1e4870fde2ddc0d75f0b456250dc9990662a6f25808cc74a6d1131ea9000927c001018064382ae87cdd000000000000000000000000bab3cbdcbcc578445480a79ed80269c50bb5b71800000000000000000000000000000000000000000000000000000000000000c000000000000000000000000000000000000000000000000000000000000001000000000000000000000000000000000000000000000000000000000000000012000000000000000000000000351af1631aa5ea1ca62ad8a4e3cd87128d4d910800000000000000000000000000000000000000000000005b8decde02914ce837000000000000000000000000000000000000000000000000000000000000001e4d45444f4f5a412045636f73797374656d2076322e30206f6e2078446169000000000000000000000000000000000000000000000000000000000000000000044d445a41000000000000000000000000000000000000000000000000000000000000000000000000000000",
      "gas": "0x25D3FC",
      "value": "0x0"
    },
    "subtraces": 0,
    "traceAddress": [
      0,
      0
    ],
    "type": "call",
    "error": "Reverted",
    "result": {
      "gasUsed": "0x25D3FC",
      "output": "0x0"
    }
  }
]
GET /blockscout/transactions/{transaction_hash}/raw-trace
Ask a question... ⌘I